Subject: RE: [pim] An unstablized topologies for PIM-SM.(Correcting the txtformat for the following topologies)

From: Su Haiyang <[email-masked]>
Date: Fri, 29 Jun 2007 10:48:31 +0800

Dear All,
 Thank you for your reminder. I know I made a mistake.
 Inherited_Olist(S,G,RPT) won't become null and PruneDesired(S,G,RPT) need
not be patched. When DR lose the (S,G) assert, it's S,G upstream FSM should
become Not_Joined and SPT should be cleared, since inherited_olist(S,G) will
become null at this time by the following rule:
Inherited_olist(S,G) = PIM_Include(*,G)-lost_assert(S,G)

-----Original Message-----
From: edrt [mailto:[email-masked]] 
Sent: Friday, June 29, 2007 10:11 AM
To: Su Haiyang
Cc: edrt
Subject: Re: [pim] An unstablized topologies for PIM-SM.(Correcting the
txtformat for the following topologies)

Hello Su, 

See comments below

>
>5. DR would send a (S,G RPT) prune to RP through Network2 'cause
>inherited_olist(S,G,RPT) become null if calculating
inherited_olist(S,G,RPT)
>by the following rule:
>
>Inherited_olist(S,G,RPT) = PIM_Include(*,G) - lost_assert(S,G,RPT)
>
>The interface to Network2 at DR will belong to lost(S,G,RPT) set according
>to the following logic macro since PRF_interface(S) at DR isn't through
>Network2.
>

DR's interface to network2 DON'T belong to lost_assert(S,G,RPT), because
"RPF_interface(RP(G)) == I".

DR send Prune(S,G,RPT) to RP because of "SPTbit(S,G)==TRUE AND (RPF'(*,G) !=
RPF'(S,G))".

So to fix the problem you mentioned, the protocol should be patched as
follows

     bool PruneDesired(S,G,rpt) {
          return ( RPTJoinDesired(G) AND
                   ( inherited_olist(S,G,rpt) == NULL
                     OR (SPTbit(S,G)==TRUE
                 ++      AND JoinDesired(S,G)==TRUE
                         AND (RPF'(*,G) != RPF'(S,G)) )))
     } 

I feel it can work both from conceptual and effective perspective in your
scenario. 
What do you think? (Pls fwd the solution to the list if you find it works)

Thanks
Yi

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim